# Class SkyCoordParameter

java.lang.Object
uk.ac.starlink.task.Parameter<String>
uk.ac.starlink.task.StringParameter
uk.ac.starlink.ttools.task.SkyCoordParameter

public class SkyCoordParameter extends uk.ac.starlink.task.StringParameter
Utilities for sky coordinate parameters.

Since:
  15 May 2014
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`SkyCoordParameter(String name, String coordName, String coordSys, String tableDescrip)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static uk.ac.starlink.task.StringParameter`
`createDecParameter(String paramName, String coordSys, String tableDescrip)`
Utility method to create a parameter representing Declination.
`static uk.ac.starlink.task.StringParameter`
`createRaParameter(String paramName, String coordSys, String tableDescrip)`
Utility method to create a parameter representing Right Ascension.
`static String`
`guessDecDegreesExpression(uk.ac.starlink.table.StarTable inTable)`
Looks at table columns and makes a guess at a JEL expression which will give Declination in degrees.
`static String`
`guessRaDegreesExpression(uk.ac.starlink.table.StarTable inTable)`
Looks at table columns and makes a guess at a JEL expression which will give Right Ascension in degrees.

### Methods inherited from class uk.ac.starlink.task.StringParameter

`stringToObject`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SkyCoordParameter

public SkyCoordParameter(String name, String coordName, String coordSys, String tableDescrip)
Constructor.

Parameters:
  `name` - parameter name
  `coordName` - text name for the coordinate, full word, capitalised, for instance "Right ascension"
  `coordSys` - name of coordinate system, or null
  `tableDescrip` - text denoting table to which the coordinate refers, for instance "the input table"

## Method Details

### createRaParameter

public static uk.ac.starlink.task.StringParameter createRaParameter(String paramName, String coordSys, String tableDescrip)
Utility method to create a parameter representing Right Ascension.

Parameters:
  `paramName` - parameter name
  `coordSys` - name of coordinate system, or null
  `tableDescrip` - text denoting table to which the coordinate refers, for instance "the input table"
Returns:
  new RA parameter

### createDecParameter

public static uk.ac.starlink.task.StringParameter createDecParameter(String paramName, String coordSys, String tableDescrip)
Utility method to create a parameter representing Declination.

Parameters:
  `paramName` - parameter name
  `coordSys` - name of coordinate system, or null
  `tableDescrip` - text denoting table to which the coordinate refers, for instance "the input table"
Returns:
  new declination parameter

### guessRaDegreesExpression

public static String guessRaDegreesExpression(uk.ac.starlink.table.StarTable inTable)
Looks at table columns and makes a guess at a JEL expression which will give Right Ascension in degrees.

Parameters:
  `inTable` - table
Returns:
  expression for RA in degrees, or null if none can be found

### guessDecDegreesExpression

public static String guessDecDegreesExpression(uk.ac.starlink.table.StarTable inTable)
Looks at table columns and makes a guess at a JEL expression which will give Declination in degrees.

Parameters:
  `inTable` - table
Returns:
  expression for Dec in degrees, or null if none can be found